summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Zimmermann <tzimmermann@suse.de>2019-05-17 10:22:57 +0200
committerWim Taymans <wtaymans@redhat.com>2019-05-23 10:14:35 +0200
commitff44d5742611963a73d9647ef97d2abf8e1640a8 (patch)
tree93f88ae68224f4ea441c35cc47e50e48fd670bbd
parent7af045cf93d24459013c19a334fb7f6498f9aa5f (diff)
autogen.sh: Check for meson
If meson is not installed, at least an error message should be printed. Signed-off-by: Thomas Zimmermann <tzimmermann@suse.de>
-rwxr-xr-xautogen.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index bbcc5adc..29219338 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -5,6 +5,17 @@
git submodule init
git submodule update
+if [ -z $MESON ]; then
+ MESON=`which meson`
+fi
+if [ -z $MESON ]; then
+ echo "error: Meson not found."
+ echo "Install meson to configure and build Pipewire. If meson" \
+ "is already installed, set the environment variable MESON" \
+ "to the binary's path."
+ exit 1;
+fi
+
mkdir -p build
-meson setup "$@" build # use 'autogen.sh --reconfigure' to update
+$MESON setup "$@" build # use 'autogen.sh --reconfigure' to update
ln -sf build/Makefile Makefile